Invoice List Api
curl --request GET \
--url https://api.justpaid.io/api/v1/invoice/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justpaid.io/api/v1/invoice/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justpaid.io/api/v1/invoice/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"invoice_status": "draft",
"amount": 1000,
"currency": "USD",
"invoice_number": "INV-2024-001",
"invoice_date": "2024-03-21",
"due_date": "2024-04-21",
"service_start_date": "2024-03-01",
"service_end_date": "2024-03-31",
"description": "Monthly services for March 2024",
"created_at": "2024-03-21T10:00:00Z",
"is_recurring": false,
"from_external_source": false,
"external_source": "stripe",
"external_source_id": "inv_123456",
"payment_link": "https://app.justpaid.ai/portal/inv/123",
"line_items": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"unit_price": 123,
"quantity": 1,
"amount": 123,
"currency": "USD",
"description": "<string>",
"flat_fee": 123,
"tax_rate": 0,
"tax_amount": 0,
"tax_name": "<string>",
"discount_amount": 123,
"discount_percent": 123,
"service_start_date": "2023-12-25",
"service_end_date": "2023-12-25",
"display_order": 123
}
],
"file_url": "https://api.justpaid.ai/invoices/123.pdf",
"customer": {
"external_id": "CUST-001",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"contact_name": "<string>",
"email": "<string>",
"additional_emails": [
"<unknown>"
],
"billing_emails": [
"<unknown>"
],
"phone_number": "<string>",
"currency": "USD",
"tax_id": "<string>"
}
}
],
"count": 123
}Invoice
Invoice List Api
Lists invoices with optional filtering.
GET
/
api
/
v1
/
invoice
/
Invoice List Api
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by invoice status (e.g., 'draft', 'sent', 'paid')
Filter by customer UUID
Filter invoices with invoice date greater than or equal to this date
Filter invoices with invoice date less than or equal to this date
Filter invoices with due date greater than or equal to this date
Filter invoices with due date less than or equal to this date
Filter invoices with amount greater than or equal to this value
Filter invoices with amount less than or equal to this value
Number of results to return per page
Number of results to skip
Was this page helpful?
⌘I
